lp:~larsu/gnome-terminal/update-restore-transparency-patch

Created by Lars Karlitski on 2014-05-26 and last modified on 2014-05-27
Get this branch:
bzr branch lp:~larsu/gnome-terminal/update-restore-transparency-patch
Only Lars Karlitski can upload to this branch. If you are Lars Karlitski please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Lars Karlitski
Project:
GNOME Terminal
Status:
Development

Recent revisions

126. By Lars Karlitski on 2014-05-27

Transparency patch: only set app-paintable when the window is actually transparent

125. By Lars Karlitski on 2014-05-26

Update restore transparency patch

Remove getting the transparency from the theme to avoid the additional
preference.

Also set app-paintable on the window directly instead of setting it from the
widget. The window now paints its background so that nothing but the terminal
widget is transparent.

124. By Iain Lane on 2014-05-16

distro version

123. By Iain Lane on 2014-05-16

Merge(ish), re-add transparency

122. By Jeremy Bicha on 2013-08-04

* debian/patches/52_support_apturl.patch:
  - Support apt: URIs (LP: #217611)

121. By Jeremy Bicha on 2013-07-08

3.8.4

120. By Jeremy Bicha on 2013-06-30

* debian/patches/git-add-quit:
  - Backport patch to add Quit to app menu

119. By Jeremy Bicha on 2013-06-12

* Resync with Debian unstable
* Dropped debian/patches/dont-override-ubuntu-env-vars
* debian/rules:
  - Build with --enable-distro-packaging to not override Ubuntu
    environment variables

* New upstream release.
* debian/control.in:
  + Update build dependencies.
* debian/patches/10_kfreebsd-f_dupfd_cloexec.patch:
  + New patch, don't use F_DUPFD_CLOEXEC if it's not defined (e.g.
    on kFreeBSD). Thanks Petr Salinger for the initial patch.
    Closes: #711529.
[ Emilio Pozuelo Monfort ]
* Remove obsolete build dependency on scrollkeeper.
[ Michael Biebl ]
* Upload to unstable.
* New upstream release.
* Bump Standards-Version to 3.9.4. No further changes.
* Add Build-Depends on autotools-dev as lintian was complaining about
  outdated config.{guess,sub}.
* Team upload
* Recommend dbus-x11: gnome-terminal's default usage requires a
  D-Bus session, and dbus-x11 is the recommended way to get one of those
  (Closes: #691177; related to #631968)
* If unable to connect to D-Bus, warn before we exit 1 (Closes: #691178)

118. By Iain Lane on 2013-05-23

Fix version

117. By Iain Lane on 2013-05-23

Merge with Debian, update to 3.8.2

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:gnome-terminal
This branch contains Public information 
Everyone can see this information.

Subscribers